Subject: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Clément Pit-Claudel <[email-masked]>
Date: Mon, 10 May 2021 12:45:54 -0400

On 5/10/21 10:17 AM, Gregory Heytings wrote:

> Thanks for mentioning frame-inhibit-implied-resize, I did not know it exists.
> 
> I attach a patch that does, I believe, what Clément has in mind. Comments and feedback welcome.
> 
> Note that this patch can't be applied yet, my paperwork is still not finished :(

The patch looks good, thanks!.  You could bind combinations with '=', too, since text-scale-adjust does that (you can press = instead of +).  

More complicated: I wonder if it'd be easy to ignore repeated delayed input. As it stands, keeping '+' pressed will zoom in continuously, and continue zooming in after '+' is released, until all buffered repeated '+' inputs are processed.